Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Point3F Class Reference

`#include <mPoint.h>`

Inheritance diagram for Point3F:

## Public Member Functions
| Point3F ()
| Point3F (const Point3F &)
| Point3F (const F32 _x, const F32 _y, const F32 _z)
void | set (const F32 _x, const F32 _y, const F32 _z)
void | set (const Point3F &)
void | setMin (const Point3F &)
void | setMax (const Point3F &)
void | interpolate (const Point3F &, const Point3F &, const F32)
void | zero ()
F32 & | operator[] (int i)
| operator F32 * ()
| operator F32 * () const
bool | isZero () const
F32 | len () const
F32 | lenSquared () const
F32 | magnitudeSafe ()
bool | equal (Point3F &compare)
void | neg ()
void | normalize ()
void | normalizeSafe ()
void | normalize (F32 val)
void | convolve (const Point3F &)
void | convolveInverse (const Point3F &)
bool | operator== (const Point3F &) const
bool | operator!= (const Point3F &) const
Point3F | operator+ (const Point3F &) const
Point3F | operator- (const Point3F &) const
Point3F & | operator+= (const Point3F &)
Point3F & | operator-= (const Point3F &)
Point3F | operator* (const F32) const
Point3F | operator/ (const F32) const
Point3F & | operator*= (const F32)
Point3F & | operator/= (const F32)
Point3F | operator* (const Point3F &) const
Point3F & | operator*= (const Point3F &)
Point3F | operator- () const

## Public Attributes
F32 | x
F32 | y
F32 | z

## Static Public Attributes
static const Point3F | One
static const Point3F | Zero
static const Point3F | Max
static const Point3F | Min
static const Point3F | UnitX
static const Point3F | UnitY
static const Point3F | UnitZ

## Constructor & Destructor Documentation

Point3F | ( |  | ) |
| inline

Point3F | ( | const Point3F & | _copy | ) |
| inline

Point3F | ( | const F32 | _x,
|  | const F32 | _y,
|  | const F32 | _z
| ) |  |
| inline

## Member Function Documentation

void convolve | ( | const Point3F & | c | ) |
| inline

void convolveInverse | ( | const Point3F & | c | ) |
| inline

bool equal | ( | Point3F & | compare | ) |
| inline

void interpolate | ( | const Point3F & | _from,
|  | const Point3F & | _to,
|  | const F32 | _factor
| ) |  |
| inline

bool isZero | ( |  | ) | const
| inline

F32 len | ( |  | ) | const
| inline

F32 lenSquared | ( |  | ) | const
| inline

F32 magnitudeSafe | ( |  | ) |
| inline

void neg | ( |  | ) |
| inline

void normalize | ( |  | ) |
| inline

void normalize | ( | F32 | val | ) |
| inline

void normalizeSafe | ( |  | ) |
| inline

operator F32 * | ( |  | ) |
| inline

operator F32 * | ( |  | ) | const
| inline

bool operator!= | ( | const Point3F & | _test | ) | const
| inline

Point3F operator* | ( | const F32 | _mul | ) | const
| inline

Point3F operator* | ( | const Point3F & | _vec | ) | const
| inline

Point3F & operator*= | ( | const F32 | _mul | ) |
| inline

Point3F & operator*= | ( | const Point3F & | _vec | ) |
| inline

Point3F operator+ | ( | const Point3F & | _add | ) | const
| inline

Point3F & operator+= | ( | const Point3F & | _add | ) |
| inline

Point3F operator- | ( | const Point3F & | _rSub | ) | const
| inline

Point3F operator- | ( |  | ) | const
| inline

Point3F & operator-= | ( | const Point3F & | _rSub | ) |
| inline

Point3F operator/ | ( | const F32 | _div | ) | const
| inline

Point3F & operator/= | ( | const F32 | _div | ) |
| inline

bool operator== | ( | const Point3F & | _test | ) | const
| inline

F32& operator[] | ( | int | i | ) |
| inline

void set | ( | const F32 | _x,
|  | const F32 | _y,
|  | const F32 | _z
| ) |  |
| inline

void set | ( | const Point3F & | copy | ) |
| inline

void setMax | ( | const Point3F & | _test | ) |
| inline

void setMin | ( | const Point3F & | _test | ) |
| inline

void zero | ( |  | ) |
| inline

## Member Data Documentation

const Point3F Max
| static

const Point3F Min
| static

const Point3F One
| static

const Point3F UnitX
| static

const Point3F UnitY
| static

const Point3F UnitZ
| static

F32 x

F32 y

F32 z

const Point3F Zero
| static

The documentation for this class was generated from the following files:

- math/mPoint.h
- math/mPoint.cpp